local E, L, V, P, G = unpack(ElvUI);
local GNUI = E:GetModule("GennUI");

function GNUI:LoadNCProfile()
local db = LibStub("AceDB-3.0"):New(NameplateCooldownsAceDB, nil, true)

if(NameplateCooldownsAceDB["profiles"]["GennUI"])then
db:SetProfile("GennUI")
else
NameplateCooldownsAceDB["profiles"]["GennUI"] = {
			["IconSortMode"] = "interrupt-trinket-other",
			["IconSize"] = 20,
			["DBVersion"] = 9,
			["ShowBorderInterrupts"] = false,
			["IconYOffset"] = -40,
			["ShowBorderTrinkets"] = false,
			["Font"] = "Century Gothic Bold",
			["SpellCDs"] = {
				["Life Cocoon"] = {
					["enabled"] = true,
					["refSpellID"] = 116849,
					["spellIDs"] = {
						[116849] = true,
					},
					["cooldown"] = 55,
					["texture"] = 627485,
				},
				["Lightning Lasso"] = {
					["enabled"] = true,
					["refSpellID"] = 204437,
					["spellIDs"] = {
						[204437] = true,
					},
					["cooldown"] = 30,
					["texture"] = 1385911,
				},
				["Skull Bash"] = {
					["enabled"] = true,
					["refSpellID"] = 106839,
					["spellIDs"] = {
						[106839] = true,
					},
					["cooldown"] = 15,
					["texture"] = 236946,
				},
				["Eye for an Eye"] = {
					["enabled"] = false,
					["refSpellID"] = 205191,
					["spellIDs"] = {
						[205191] = true,
					},
					["cooldown"] = 60,
					["texture"] = 135986,
				},
				["Berserker Rage"] = {
					["enabled"] = true,
					["refSpellID"] = 18499,
					["spellIDs"] = {
						[18499] = true,
					},
					["cooldown"] = 60,
					["texture"] = 136009,
				},
				["Parley"] = {
					["enabled"] = false,
					["refSpellID"] = 199743,
					["spellIDs"] = {
						[199743] = true,
					},
					["cooldown"] = 20,
					["texture"] = 236448,
				},
				["Blind"] = {
					["enabled"] = true,
					["refSpellID"] = 2094,
					["spellIDs"] = {
						[2094] = true,
					},
					["cooldown"] = 90,
					["texture"] = 136175,
				},
				["Counter Shot"] = {
					["enabled"] = true,
					["refSpellID"] = 147362,
					["spellIDs"] = {
						[147362] = true,
					},
					["cooldown"] = 24,
					["texture"] = 249170,
				},
				["Aegis of Light"] = {
					["enabled"] = false,
					["refSpellID"] = 204150,
					["spellIDs"] = {
						[204150] = true,
					},
					["cooldown"] = 180,
					["texture"] = 135909,
				},
				["Call Fel Lord"] = {
					["enabled"] = true,
					["refSpellID"] = 212459,
					["spellIDs"] = {
						[212459] = true,
					},
					["cooldown"] = 90,
					["texture"] = 1113433,
				},
				["Rocket Jump"] = {
					["enabled"] = false,
					["refSpellID"] = 69070,
					["spellIDs"] = {
						[69070] = true,
					},
					["cooldown"] = 90,
					["texture"] = 370769,
				},
				["Holy Word: Chastise"] = {
					["enabled"] = true,
					["refSpellID"] = 88625,
					["spellIDs"] = {
						[88625] = true,
					},
					["cooldown"] = 60,
					["texture"] = 135886,
				},
				["Incarnation: King of the Jungle"] = {
					["enabled"] = true,
					["refSpellID"] = 102543,
					["spellIDs"] = {
						[102543] = true,
					},
					["cooldown"] = 180,
					["texture"] = 571586,
				},
				["Summon Gargoyle"] = {
					["enabled"] = true,
					["refSpellID"] = 49206,
					["spellIDs"] = {
						[49206] = true,
					},
					["cooldown"] = 180,
					["texture"] = 458967,
				},
				["Every Man for Himself"] = {
					["enabled"] = true,
					["refSpellID"] = 59752,
					["spellIDs"] = {
						[59752] = true,
					},
					["cooldown"] = 180,
					["texture"] = 136129,
				},
				["Arcane Power"] = {
					["enabled"] = true,
					["refSpellID"] = 12042,
					["spellIDs"] = {
						[12042] = true,
					},
					["cooldown"] = 90,
					["texture"] = 136048,
				},
				["War Banner"] = {
					["enabled"] = true,
					["refSpellID"] = 236320,
					["spellIDs"] = {
						[236320] = true,
					},
					["cooldown"] = 90,
					["texture"] = 603532,
				},
				["Escape Artist"] = {
					["enabled"] = false,
					["refSpellID"] = 20589,
					["spellIDs"] = {
						[20589] = true,
					},
					["cooldown"] = 60,
					["texture"] = 132309,
				},
				["Stoneform"] = {
					["enabled"] = true,
					["refSpellID"] = 20594,
					["spellIDs"] = {
						[20594] = true,
					},
					["cooldown"] = 120,
					["texture"] = 136225,
				},
				["Frozen Orb"] = {
					["enabled"] = true,
					["refSpellID"] = 84714,
					["spellIDs"] = {
						[84714] = true,
					},
					["cooldown"] = 60,
					["texture"] = 629077,
				},
				["Rain from Above"] = {
					["enabled"] = true,
					["refSpellID"] = 206803,
					["spellIDs"] = {
						[206803] = true,
					},
					["cooldown"] = 60,
					["texture"] = 1380371,
				},
				["Heroism"] = {
					["enabled"] = false,
					["refSpellID"] = 32182,
					["spellIDs"] = {
						[32182] = true,
					},
					["cooldown"] = 60,
					["texture"] = 132313,
				},
				["Dark Arbiter"] = {
					["enabled"] = true,
					["refSpellID"] = 207349,
					["spellIDs"] = {
						[207349] = true,
					},
					["cooldown"] = 180,
					["texture"] = 298674,
				},
				["Avert Harm"] = {
					["enabled"] = false,
					["refSpellID"] = 202162,
					["spellIDs"] = {
						[202162] = true,
					},
					["cooldown"] = 45,
					["texture"] = 620829,
				},
				["Force of Nature"] = {
					["enabled"] = false,
					["refSpellID"] = 205636,
					["spellIDs"] = {
						[205636] = true,
					},
					["cooldown"] = 60,
					["texture"] = 132129,
				},
				["Camouflage"] = {
					["enabled"] = false,
					["refSpellID"] = 199483,
					["spellIDs"] = {
						[199483] = true,
					},
					["cooldown"] = 60,
					["texture"] = 461113,
				},
				["Disrupt"] = {
					["enabled"] = true,
					["refSpellID"] = 183752,
					["spellIDs"] = {
						[183752] = true,
					},
					["cooldown"] = 15,
					["texture"] = 1305153,
				},
				["Berserk"] = {
					["enabled"] = true,
					["refSpellID"] = 106951,
					["spellIDs"] = {
						[106951] = true,
					},
					["cooldown"] = 180,
					["texture"] = 236149,
				},
				["Intimidation"] = {
					["enabled"] = true,
					["refSpellID"] = 19577,
					["spellIDs"] = {
						[19577] = true,
					},
					["cooldown"] = 60,
					["texture"] = 132111,
				},
				["Adrenaline Rush"] = {
					["enabled"] = true,
					["refSpellID"] = 13750,
					["spellIDs"] = {
						[13750] = true,
					},
					["cooldown"] = 180,
					["texture"] = 136206,
				},
				["Optical Blast"] = {
					["enabled"] = true,
					["refSpellID"] = 115781,
					["spellIDs"] = {
						[115781] = true,
					},
					["cooldown"] = 24,
					["texture"] = 136028,
				},
				["Divine Steed"] = {
					["enabled"] = false,
					["refSpellID"] = 190784,
					["spellIDs"] = {
						[190784] = true,
					},
					["cooldown"] = 22,
					["texture"] = 1360759,
				},
				["Cloak of Shadows"] = {
					["enabled"] = true,
					["refSpellID"] = 31224,
					["spellIDs"] = {
						[31224] = true,
					},
					["cooldown"] = 120,
					["texture"] = 136177,
				},
				["Demonic Circle: Teleport"] = {
					["enabled"] = true,
					["refSpellID"] = 48020,
					["spellIDs"] = {
						[48020] = true,
					},
					["cooldown"] = 30,
					["texture"] = 237560,
				},
				["Axe Toss"] = {
					["enabled"] = true,
					["refSpellID"] = 89766,
					["spellIDs"] = {
						[89766] = true,
					},
					["cooldown"] = 30,
					["texture"] = 236316,
				},
				["Fortifying Brew"] = {
					["enabled"] = true,
					["refSpellID"] = 201318,
					["spellIDs"] = {
						[201318] = true,
					},
					["cooldown"] = 90,
					["texture"] = 1616072,
				},
				["Spiritwalker's Grace"] = {
					["enabled"] = true,
					["refSpellID"] = 79206,
					["spellIDs"] = {
						[79206] = true,
					},
					["cooldown"] = 60,
					["texture"] = 451170,
				},
				["Blood Fury"] = {
					["enabled"] = false,
					["refSpellID"] = 33697,
					["spellIDs"] = {
						[33697] = true,
					},
					["cooldown"] = 120,
					["texture"] = 135726,
				},
				["Thunderstorm"] = {
					["enabled"] = false,
					["refSpellID"] = 51490,
					["spellIDs"] = {
						[51490] = true,
					},
					["cooldown"] = 30,
					["texture"] = 237589,
				},
				["Storm, Earth, and Fire"] = {
					["enabled"] = true,
					["refSpellID"] = 137639,
					["spellIDs"] = {
						[137639] = true,
					},
					["cooldown"] = 90,
					["texture"] = 136038,
				},
				["Lay on Hands"] = {
					["enabled"] = true,
					["refSpellID"] = 633,
					["spellIDs"] = {
						[633] = true,
					},
					["cooldown"] = 420,
					["texture"] = 135928,
				},
				["Arcane Torrent"] = {
					["enabled"] = false,
					["refSpellID"] = 80483,
					["spellIDs"] = {
						[80483] = true,
					},
					["cooldown"] = 120,
					["texture"] = 136222,
				},
				["Zen Moment"] = {
					["enabled"] = true,
					["refSpellID"] = 201325,
					["spellIDs"] = {
						[201325] = true,
					},
					["cooldown"] = 45,
					["texture"] = 642417,
				},
				["Plunder Armor"] = {
					["enabled"] = false,
					["refSpellID"] = 198529,
					["spellIDs"] = {
						[198529] = true,
					},
					["cooldown"] = 120,
					["texture"] = 133787,
				},
				["Sprint"] = {
					["enabled"] = true,
					["refSpellID"] = 2983,
					["spellIDs"] = {
						[2983] = true,
					},
					["cooldown"] = 60,
					["texture"] = 132307,
				},
				["Darkflight"] = {
					["enabled"] = false,
					["refSpellID"] = 68992,
					["spellIDs"] = {
						[68992] = true,
					},
					["cooldown"] = 120,
					["texture"] = 366937,
				},
				["Ancestral Protection Totem"] = {
					["enabled"] = false,
					["refSpellID"] = 207399,
					["spellIDs"] = {
						[207399] = true,
					},
					["cooldown"] = 300,
					["texture"] = 136080,
				},
				["Binding Shot"] = {
					["enabled"] = true,
					["refSpellID"] = 109248,
					["spellIDs"] = {
						[109248] = true,
					},
					["cooldown"] = 45,
					["texture"] = 462650,
				},
				["Shadowstep"] = {
					["enabled"] = false,
					["refSpellID"] = 36554,
					["spellIDs"] = {
						[36554] = true,
					},
					["cooldown"] = 30,
					["texture"] = 132303,
				},
				["Between the Eyes"] = {
					["enabled"] = true,
					["refSpellID"] = 199804,
					["spellIDs"] = {
						[199804] = true,
					},
					["cooldown"] = 30,
					["texture"] = 135610,
				},
				["Feral Spirit"] = {
					["enabled"] = true,
					["refSpellID"] = 51533,
					["spellIDs"] = {
						[51533] = true,
					},
					["cooldown"] = 90,
					["texture"] = 237577,
				},
				["Grappling Hook"] = {
					["enabled"] = false,
					["refSpellID"] = 195457,
					["spellIDs"] = {
						[195457] = true,
					},
					["cooldown"] = 30,
					["texture"] = 1373906,
				},
				["Imprison"] = {
					["enabled"] = true,
					["refSpellID"] = 221527,
					["spellIDs"] = {
						[221527] = true,
					},
					["cooldown"] = 45,
					["texture"] = 1380368,
				},
				["Recklessness"] = {
					["enabled"] = true,
					["refSpellID"] = 1719,
					["spellIDs"] = {
						[1719] = true,
					},
					["cooldown"] = 90,
					["texture"] = 458972,
				},
				["Voodoo Totem"] = {
					["enabled"] = false,
					["refSpellID"] = 196932,
					["spellIDs"] = {
						[196932] = true,
					},
					["cooldown"] = 30,
					["texture"] = 136232,
				},
				["Blessing of Spellwarding"] = {
					["enabled"] = true,
					["refSpellID"] = 204018,
					["spellIDs"] = {
						[204018] = true,
					},
					["cooldown"] = 180,
					["texture"] = 135880,
				},
				["Divine Hymn"] = {
					["enabled"] = true,
					["refSpellID"] = 64843,
					["spellIDs"] = {
						[64843] = true,
					},
					["cooldown"] = 180,
					["texture"] = 237540,
				},
				["Berserking"] = {
					["enabled"] = false,
					["refSpellID"] = 26297,
					["spellIDs"] = {
						[26297] = true,
					},
					["cooldown"] = 180,
					["texture"] = 135727,
				},
				["Ironbark"] = {
					["enabled"] = true,
					["refSpellID"] = 102342,
					["spellIDs"] = {
						[102342] = true,
					},
					["cooldown"] = 30,
					["texture"] = 572025,
				},
				["Smoke Bomb"] = {
					["enabled"] = true,
					["refSpellID"] = 212182,
					["spellIDs"] = {
						[212182] = true,
					},
					["cooldown"] = 180,
					["texture"] = 458733,
				},
				["Displacement"] = {
					["enabled"] = true,
					["refSpellID"] = 195676,
					["spellIDs"] = {
						[195676] = true,
					},
					["cooldown"] = 30,
					["texture"] = 132171,
				},
				["Charge"] = {
					["enabled"] = true,
					["refSpellID"] = 100,
					["spellIDs"] = {
						[100] = true,
					},
					["cooldown"] = 20,
					["texture"] = 132337,
				},
				["Leg Sweep"] = {
					["enabled"] = true,
					["refSpellID"] = 119381,
					["spellIDs"] = {
						[119381] = true,
					},
					["cooldown"] = 50,
					["texture"] = 642414,
				},
				["Capacitor Totem"] = {
					["enabled"] = true,
					["refSpellID"] = 192058,
					["spellIDs"] = {
						[192058] = true,
					},
					["cooldown"] = 45,
					["texture"] = 136013,
				},
				["Army of the Dead"] = {
					["enabled"] = false,
					["refSpellID"] = 42650,
					["spellIDs"] = {
						[42650] = true,
					},
					["cooldown"] = 240,
					["texture"] = 237511,
				},
				["Zen Meditation"] = {
					["enabled"] = true,
					["refSpellID"] = 115176,
					["spellIDs"] = {
						[115176] = true,
					},
					["cooldown"] = 100,
					["texture"] = 642417,
				},
				["Spectral Sight"] = {
					["enabled"] = true,
					["refSpellID"] = 188501,
					["spellIDs"] = {
						[188501] = true,
					},
					["cooldown"] = 30,
					["texture"] = 1247266,
				},
				["Warbreaker"] = {
					["enabled"] = true,
					["refSpellID"] = 262161,
					["spellIDs"] = {
						[262161] = true,
					},
					["cooldown"] = 45,
					["texture"] = 2065633,
				},
				["Serenity"] = {
					["enabled"] = true,
					["refSpellID"] = 152173,
					["spellIDs"] = {
						[152173] = true,
					},
					["cooldown"] = 90,
					["texture"] = 988197,
				},
				["Overrun"] = {
					["enabled"] = false,
					["refSpellID"] = 202246,
					["spellIDs"] = {
						[202246] = true,
					},
					["cooldown"] = 25,
					["texture"] = 1408833,
				},
				["PvP Trinket"] = {
					["enabled"] = true,
					["refSpellID"] = 42292,
					["spellIDs"] = {
						[42292] = true,
					},
					["cooldown"] = 120,
					["texture"] = 1322720,
				},
				["Shadowy Duel"] = {
					["enabled"] = false,
					["refSpellID"] = 207736,
					["spellIDs"] = {
						[207736] = true,
					},
					["cooldown"] = 120,
					["texture"] = 1020341,
				},
				["Blink"] = {
					["enabled"] = true,
					["refSpellID"] = 1953,
					["spellIDs"] = {
						[1953] = true,
					},
					["cooldown"] = 15,
					["texture"] = 135736,
				},
				["Void Shift"] = {
					["enabled"] = true,
					["refSpellID"] = 108968,
					["spellIDs"] = {
						[108968] = true,
					},
					["cooldown"] = 300,
					["texture"] = 537079,
				},
				["Die by the Sword"] = {
					["enabled"] = true,
					["refSpellID"] = 118038,
					["spellIDs"] = {
						[118038] = true,
					},
					["cooldown"] = 180,
					["texture"] = 132336,
				},
				["Shield Wall"] = {
					["enabled"] = true,
					["refSpellID"] = 871,
					["spellIDs"] = {
						[871] = true,
					},
					["cooldown"] = 240,
					["texture"] = 132362,
				},
				["Bestial Wrath"] = {
					["enabled"] = true,
					["refSpellID"] = 19574,
					["spellIDs"] = {
						[19574] = true,
					},
					["cooldown"] = 90,
					["texture"] = 132127,
				},
				["Pillar of Frost"] = {
					["enabled"] = true,
					["refSpellID"] = 51271,
					["spellIDs"] = {
						[51271] = true,
					},
					["cooldown"] = 45,
					["texture"] = 458718,
				},
				["Diffuse Magic"] = {
					["enabled"] = true,
					["refSpellID"] = 122783,
					["spellIDs"] = {
						[122783] = true,
					},
					["cooldown"] = 90,
					["texture"] = 775460,
				},
				["Ethereal Form"] = {
					["enabled"] = false,
					["refSpellID"] = 210918,
					["spellIDs"] = {
						[210918] = true,
					},
					["cooldown"] = 45,
					["texture"] = 237572,
				},
				["Rocket Barrage"] = {
					["enabled"] = false,
					["refSpellID"] = 69041,
					["spellIDs"] = {
						[69041] = true,
					},
					["cooldown"] = 90,
					["texture"] = 133032,
				},
				["Incarnation: Guardian of Ursoc"] = {
					["enabled"] = true,
					["refSpellID"] = 102558,
					["spellIDs"] = {
						[102558] = true,
					},
					["cooldown"] = 180,
					["texture"] = 571586,
				},
				["Mind Bomb"] = {
					["enabled"] = true,
					["refSpellID"] = 205369,
					["spellIDs"] = {
						[205369] = true,
					},
					["cooldown"] = 30,
					["texture"] = 136173,
				},
				["Spirit Link Totem"] = {
					["enabled"] = true,
					["refSpellID"] = 98008,
					["spellIDs"] = {
						[98008] = true,
					},
					["cooldown"] = 180,
					["texture"] = 237586,
				},
				["Blessing of Sanctuary"] = {
					["enabled"] = true,
					["refSpellID"] = 210256,
					["spellIDs"] = {
						[210256] = true,
					},
					["cooldown"] = 45,
					["texture"] = 135911,
				},
				["Summon Water Elemental"] = {
					["enabled"] = false,
					["refSpellID"] = 31687,
					["spellIDs"] = {
						[31687] = true,
					},
					["cooldown"] = 30,
					["texture"] = 135862,
				},
				["Colossus Smash"] = {
					["enabled"] = false,
					["refSpellID"] = 167105,
					["spellIDs"] = {
						[167105] = true,
					},
					["cooldown"] = 45,
					["texture"] = 464973,
				},
				["Death Pact"] = {
					["enabled"] = true,
					["refSpellID"] = 48743,
					["spellIDs"] = {
						[48743] = true,
					},
					["cooldown"] = 120,
					["texture"] = 136146,
				},
				["Exhilaration"] = {
					["enabled"] = true,
					["refSpellID"] = 109304,
					["spellIDs"] = {
						[109304] = true,
					},
					["cooldown"] = 105,
					["texture"] = 461117,
				},
				["Survival Instincts"] = {
					["enabled"] = true,
					["refSpellID"] = 61336,
					["spellIDs"] = {
						[61336] = true,
					},
					["cooldown"] = 180,
					["texture"] = 236169,
				},
				["Solar Beam"] = {
					["enabled"] = true,
					["refSpellID"] = 78675,
					["spellIDs"] = {
						[78675] = true,
					},
					["cooldown"] = 40,
					["texture"] = 252188,
				},
				["Dark Simulacrum"] = {
					["enabled"] = false,
					["refSpellID"] = 77606,
					["spellIDs"] = {
						[77606] = true,
					},
					["cooldown"] = 20,
					["texture"] = 135888,
				},
				["Mortal Coil"] = {
					["enabled"] = true,
					["refSpellID"] = 6789,
					["spellIDs"] = {
						[6789] = true,
					},
					["cooldown"] = 45,
					["texture"] = 607853,
				},
				["Silence"] = {
					["enabled"] = true,
					["refSpellID"] = 15487,
					["spellIDs"] = {
						[15487] = true,
					},
					["cooldown"] = 30,
					["texture"] = 458230,
				},
				["Honorable Medallion"] = {
					["enabled"] = true,
					["refSpellID"] = 195710,
					["spellIDs"] = {
						[195710] = true,
					},
					["cooldown"] = 180,
					["texture"] = 1322720,
				},
				["Corpse Shield"] = {
					["enabled"] = false,
					["refSpellID"] = 207319,
					["spellIDs"] = {
						[207319] = true,
					},
					["cooldown"] = 60,
					["texture"] = 1531513,
				},
				["Sharpen Blade"] = {
					["enabled"] = true,
					["refSpellID"] = 198817,
					["spellIDs"] = {
						[198817] = true,
					},
					["cooldown"] = 25,
					["texture"] = 1380678,
				},
				["Invoke Chi-Ji, the Red Crane"] = {
					["enabled"] = true,
					["refSpellID"] = 198664,
					["spellIDs"] = {
						[198664] = true,
					},
					["cooldown"] = 180,
					["texture"] = 877514,
				},
				["Rebirth"] = {
					["enabled"] = false,
					["refSpellID"] = 20484,
					["spellIDs"] = {
						[20484] = true,
					},
					["cooldown"] = 600,
					["texture"] = 136080,
				},
				["Ardent Defender"] = {
					["enabled"] = false,
					["refSpellID"] = 31850,
					["spellIDs"] = {
						[31850] = true,
					},
					["cooldown"] = 84,
					["texture"] = 135870,
				},
				["Astral Shift"] = {
					["enabled"] = true,
					["refSpellID"] = 108271,
					["spellIDs"] = {
						[108271] = true,
					},
					["cooldown"] = 90,
					["texture"] = 538565,
				},
				["Tranquility"] = {
					["enabled"] = true,
					["refSpellID"] = 740,
					["spellIDs"] = {
						[740] = true,
					},
					["cooldown"] = 120,
					["texture"] = 136107,
				},
				["Touch of Death"] = {
					["enabled"] = true,
					["refSpellID"] = 115080,
					["spellIDs"] = {
						[115080] = true,
					},
					["cooldown"] = 120,
					["texture"] = 606552,
				},
				["Killing Spree"] = {
					["enabled"] = true,
					["refSpellID"] = 51690,
					["spellIDs"] = {
						[51690] = true,
					},
					["cooldown"] = 120,
					["texture"] = 236277,
				},
				["Celestial Alignment"] = {
					["enabled"] = true,
					["refSpellID"] = 194223,
					["spellIDs"] = {
						[194223] = true,
					},
					["cooldown"] = 180,
					["texture"] = 136060,
				},
				["Temporal Shield"] = {
					["enabled"] = true,
					["refSpellID"] = 198111,
					["spellIDs"] = {
						[198111] = true,
					},
					["cooldown"] = 45,
					["texture"] = 610472,
				},
				["Sigil of Silence"] = {
					["enabled"] = true,
					["refSpellID"] = 202137,
					["spellIDs"] = {
						[202137] = true,
					},
					["cooldown"] = 33,
					["texture"] = 1418288,
				},
				["Summon Infernal"] = {
					["enabled"] = true,
					["refSpellID"] = 1122,
					["spellIDs"] = {
						[1122] = true,
					},
					["cooldown"] = 60,
					["texture"] = 136219,
				},
				["Disengage"] = {
					["enabled"] = true,
					["refSpellID"] = 781,
					["spellIDs"] = {
						[781] = true,
					},
					["cooldown"] = 30,
					["texture"] = 132294,
				},
				["Firestone"] = {
					["enabled"] = false,
					["refSpellID"] = 212284,
					["spellIDs"] = {
						[212284] = true,
					},
					["cooldown"] = 25,
					["texture"] = 134085,
				},
				["Gift of the Naaru"] = {
					["enabled"] = false,
					["refSpellID"] = 59543,
					["spellIDs"] = {
						[59543] = true,
					},
					["cooldown"] = 180,
					["texture"] = 135923,
				},
				["Eye of Leotheras"] = {
					["enabled"] = false,
					["refSpellID"] = 206650,
					["spellIDs"] = {
						[206650] = true,
					},
					["cooldown"] = 45,
					["texture"] = 1380366,
				},
				["Renewal"] = {
					["enabled"] = true,
					["refSpellID"] = 108238,
					["spellIDs"] = {
						[108238] = true,
					},
					["cooldown"] = 90,
					["texture"] = 136059,
				},
				["Leap of Faith"] = {
					["enabled"] = true,
					["refSpellID"] = 73325,
					["spellIDs"] = {
						[73325] = true,
					},
					["cooldown"] = 45,
					["texture"] = 463835,
				},
				["Mighty Bash"] = {
					["enabled"] = true,
					["refSpellID"] = 5211,
					["spellIDs"] = {
						[5211] = true,
					},
					["cooldown"] = 50,
					["texture"] = 132114,
				},
				["Dash"] = {
					["enabled"] = true,
					["refSpellID"] = 1850,
					["spellIDs"] = {
						[1850] = true,
					},
					["cooldown"] = 120,
					["texture"] = 132120,
				},
				["Ascendance"] = {
					["enabled"] = true,
					["refSpellID"] = 114050,
					["spellIDs"] = {
						[114050] = true,
					},
					["cooldown"] = 180,
					["texture"] = 135791,
				},
				["Incarnation: Tree of Life"] = {
					["enabled"] = true,
					["refSpellID"] = 33891,
					["spellIDs"] = {
						[33891] = true,
					},
					["cooldown"] = 180,
					["texture"] = 236157,
				},
				["Supernova"] = {
					["enabled"] = true,
					["refSpellID"] = 157980,
					["spellIDs"] = {
						[157980] = true,
					},
					["cooldown"] = 25,
					["texture"] = 1033912,
				},
				["Anti-Magic Zone"] = {
					["enabled"] = true,
					["refSpellID"] = 51052,
					["spellIDs"] = {
						[51052] = true,
					},
					["cooldown"] = 120,
					["texture"] = 237510,
				},
				["Ring of Peace"] = {
					["enabled"] = true,
					["refSpellID"] = 116844,
					["spellIDs"] = {
						[116844] = true,
					},
					["cooldown"] = 45,
					["texture"] = 839107,
				},
				["Shadow Blades"] = {
					["enabled"] = true,
					["refSpellID"] = 121471,
					["spellIDs"] = {
						[121471] = true,
					},
					["cooldown"] = 180,
					["texture"] = 376022,
				},
				["Fel Eruption"] = {
					["enabled"] = true,
					["refSpellID"] = 211881,
					["spellIDs"] = {
						[211881] = true,
					},
					["cooldown"] = 30,
					["texture"] = 1118739,
				},
				["Mighty Ox Kick"] = {
					["enabled"] = false,
					["refSpellID"] = 202370,
					["spellIDs"] = {
						[202370] = true,
					},
					["cooldown"] = 30,
					["texture"] = 1381297,
				},
				["Freezing Arrow"] = {
					["enabled"] = false,
					["refSpellID"] = 209789,
					["spellIDs"] = {
						[209789] = true,
					},
					["cooldown"] = 30,
					["texture"] = 1033903,
				},
				["Frost Nova"] = {
					["enabled"] = false,
					["refSpellID"] = 122,
					["spellIDs"] = {
						[122] = true,
					},
					["cooldown"] = 30,
					["texture"] = 135848,
				},
				["Death Grip"] = {
					["enabled"] = true,
					["refSpellID"] = 49576,
					["spellIDs"] = {
						[49576] = true,
					},
					["cooldown"] = 25,
					["texture"] = 237532,
				},
				["Dark Pact"] = {
					["enabled"] = true,
					["refSpellID"] = 108416,
					["spellIDs"] = {
						[108416] = true,
					},
					["cooldown"] = 60,
					["texture"] = 538538,
				},
				["Breath of Fire"] = {
					["enabled"] = false,
					["refSpellID"] = 115181,
					["spellIDs"] = {
						[115181] = true,
					},
					["cooldown"] = 15,
					["texture"] = 615339,
				},
				["Way of the Crane"] = {
					["enabled"] = true,
					["refSpellID"] = 216113,
					["spellIDs"] = {
						[216113] = true,
					},
					["cooldown"] = 60,
					["texture"] = 977169,
				},
				["Bloodbath"] = {
					["enabled"] = true,
					["refSpellID"] = 12292,
					["spellIDs"] = {
						[12292] = true,
					},
					["cooldown"] = 120,
					["texture"] = 236304,
				},
				["Scatter Shot"] = {
					["enabled"] = true,
					["refSpellID"] = 213691,
					["spellIDs"] = {
						[213691] = true,
					},
					["cooldown"] = 30,
					["texture"] = 132153,
				},
				["Mass Spell Reflection"] = {
					["enabled"] = true,
					["refSpellID"] = 213915,
					["spellIDs"] = {
						[213915] = true,
					},
					["cooldown"] = 30,
					["texture"] = 132358,
				},
				["Darkness"] = {
					["enabled"] = true,
					["refSpellID"] = 196718,
					["spellIDs"] = {
						[196718] = true,
					},
					["cooldown"] = 180,
					["texture"] = 1305154,
				},
				["Spear Hand Strike"] = {
					["enabled"] = true,
					["refSpellID"] = 116705,
					["spellIDs"] = {
						[116705] = true,
					},
					["cooldown"] = 15,
					["texture"] = 608940,
				},
				["Shining Force"] = {
					["enabled"] = false,
					["refSpellID"] = 204263,
					["spellIDs"] = {
						[204263] = true,
					},
					["cooldown"] = 45,
					["texture"] = 571554,
				},
				["Counterstrike Totem"] = {
					["enabled"] = true,
					["refSpellID"] = 204331,
					["spellIDs"] = {
						[204331] = true,
					},
					["cooldown"] = 45,
					["texture"] = 511726,
				},
				["Howl of Terror"] = {
					["enabled"] = true,
					["refSpellID"] = 5484,
					["spellIDs"] = {
						[5484] = true,
					},
					["cooldown"] = 40,
					["texture"] = 607852,
				},
				["Spirit of Redemption"] = {
					["enabled"] = true,
					["refSpellID"] = 215769,
					["spellIDs"] = {
						[215769] = true,
					},
					["cooldown"] = 180,
					["texture"] = 132864,
				},
				["Icy Veins"] = {
					["enabled"] = true,
					["refSpellID"] = 12472,
					["spellIDs"] = {
						[12472] = true,
					},
					["cooldown"] = 180,
					["texture"] = 135838,
				},
				["Maim"] = {
					["enabled"] = false,
					["refSpellID"] = 22570,
					["spellIDs"] = {
						[22570] = true,
					},
					["cooldown"] = 20,
					["texture"] = 132134,
				},
				["Faerie Swarm"] = {
					["enabled"] = false,
					["refSpellID"] = 209749,
					["spellIDs"] = {
						[209749] = true,
					},
					["cooldown"] = 30,
					["texture"] = 538516,
				},
				["Greater Invisibility"] = {
					["enabled"] = true,
					["refSpellID"] = 110959,
					["spellIDs"] = {
						[110959] = true,
					},
					["cooldown"] = 75,
					["texture"] = 575584,
				},
				["Strangulate"] = {
					["enabled"] = true,
					["refSpellID"] = 47476,
					["spellIDs"] = {
						[47476] = true,
					},
					["cooldown"] = 60,
					["texture"] = 136214,
				},
				["Avatar"] = {
					["enabled"] = true,
					["refSpellID"] = 107574,
					["spellIDs"] = {
						[107574] = true,
					},
					["cooldown"] = 90,
					["texture"] = 613534,
				},
				["Gorefiend's Grasp"] = {
					["enabled"] = false,
					["refSpellID"] = 108199,
					["spellIDs"] = {
						[108199] = true,
					},
					["cooldown"] = 90,
					["texture"] = 538767,
				},
				["Ice Barrier"] = {
					["enabled"] = true,
					["refSpellID"] = 11426,
					["spellIDs"] = {
						[11426] = true,
					},
					["cooldown"] = 25,
					["texture"] = 135988,
				},
				["Transcendence: Transfer"] = {
					["enabled"] = true,
					["refSpellID"] = 119996,
					["spellIDs"] = {
						[119996] = true,
					},
					["cooldown"] = 25,
					["texture"] = 237585,
				},
				["Grounding Totem"] = {
					["enabled"] = true,
					["refSpellID"] = 204336,
					["spellIDs"] = {
						[204336] = true,
					},
					["cooldown"] = 30,
					["texture"] = 136039,
				},
				["Divine Shield"] = {
					["enabled"] = true,
					["refSpellID"] = 642,
					["spellIDs"] = {
						[642] = true,
					},
					["cooldown"] = 210,
					["texture"] = 524354,
				},
				["Intimidating Shout"] = {
					["enabled"] = true,
					["refSpellID"] = 5246,
					["spellIDs"] = {
						[5246] = true,
					},
					["cooldown"] = 90,
					["texture"] = 132154,
				},
				["Icebound Fortitude"] = {
					["enabled"] = true,
					["refSpellID"] = 48792,
					["spellIDs"] = {
						[48792] = true,
					},
					["cooldown"] = 135,
					["texture"] = 237525,
				},
				["Sacrifice"] = {
					["enabled"] = true,
					["refSpellID"] = 7812,
					["spellIDs"] = {
						[7812] = true,
					},
					["cooldown"] = 60,
					["texture"] = 136190,
				},
				["Desperate Prayer"] = {
					["enabled"] = true,
					["refSpellID"] = 19236,
					["spellIDs"] = {
						[19236] = true,
					},
					["cooldown"] = 90,
					["texture"] = 237550,
				},
				["Invoke Niuzao, the Black Ox"] = {
					["enabled"] = true,
					["refSpellID"] = 132578,
					["spellIDs"] = {
						[132578] = true,
					},
					["cooldown"] = 180,
					["texture"] = 608951,
				},
				["Blinding Sleet"] = {
					["enabled"] = true,
					["refSpellID"] = 207167,
					["spellIDs"] = {
						[207167] = true,
					},
					["cooldown"] = 60,
					["texture"] = 135836,
				},
				["Gouge"] = {
					["enabled"] = false,
					["refSpellID"] = 1776,
					["spellIDs"] = {
						[1776] = true,
					},
					["cooldown"] = 15,
					["texture"] = 132155,
				},
				["Nemesis"] = {
					["enabled"] = true,
					["refSpellID"] = 206491,
					["spellIDs"] = {
						[206491] = true,
					},
					["cooldown"] = 120,
					["texture"] = 236299,
				},
				["Paralysis"] = {
					["enabled"] = true,
					["refSpellID"] = 115078,
					["spellIDs"] = {
						[115078] = true,
					},
					["cooldown"] = 45,
					["texture"] = 629534,
				},
				["Song of Chi-Ji"] = {
					["enabled"] = true,
					["refSpellID"] = 198898,
					["spellIDs"] = {
						[198898] = true,
					},
					["cooldown"] = 30,
					["texture"] = 332402,
				},
				["Evasion"] = {
					["enabled"] = true,
					["refSpellID"] = 5277,
					["spellIDs"] = {
						[5277] = true,
					},
					["cooldown"] = 120,
					["texture"] = 136205,
				},
				["Mind Freeze"] = {
					["enabled"] = true,
					["refSpellID"] = 47528,
					["spellIDs"] = {
						[47528] = true,
					},
					["cooldown"] = 15,
					["texture"] = 237527,
				},
				["Riposte"] = {
					["enabled"] = true,
					["refSpellID"] = 199754,
					["spellIDs"] = {
						[199754] = true,
					},
					["cooldown"] = 120,
					["texture"] = 132269,
				},
				["Guardian of the Forgotten Queen"] = {
					["enabled"] = true,
					["refSpellID"] = 228049,
					["spellIDs"] = {
						[228049] = true,
					},
					["cooldown"] = 180,
					["texture"] = 135919,
				},
				["Divine Protection"] = {
					["enabled"] = true,
					["refSpellID"] = 498,
					["spellIDs"] = {
						[498] = true,
					},
					["cooldown"] = 30,
					["texture"] = 524353,
				},
				["Tiger's Fury"] = {
					["enabled"] = true,
					["refSpellID"] = 5217,
					["spellIDs"] = {
						[5217] = true,
					},
					["cooldown"] = 30,
					["texture"] = 132242,
				},
				["Anti-Magic Shell"] = {
					["enabled"] = true,
					["refSpellID"] = 48707,
					["spellIDs"] = {
						[48707] = true,
					},
					["cooldown"] = 45,
					["texture"] = 136120,
				},
				["Nether Ward"] = {
					["enabled"] = true,
					["refSpellID"] = 212295,
					["spellIDs"] = {
						[212295] = true,
					},
					["cooldown"] = 45,
					["texture"] = 135796,
				},
				["Pummel"] = {
					["enabled"] = true,
					["refSpellID"] = 6552,
					["spellIDs"] = {
						[6552] = true,
					},
					["cooldown"] = 15,
					["texture"] = 132938,
				},
				["Psychic Horror"] = {
					["enabled"] = true,
					["refSpellID"] = 64044,
					["spellIDs"] = {
						[64044] = true,
					},
					["cooldown"] = 45,
					["texture"] = 237568,
				},
				["Avenging Crusader"] = {
					["enabled"] = true,
					["refSpellID"] = 216331,
					["spellIDs"] = {
						[216331] = true,
					},
					["cooldown"] = 120,
					["texture"] = 589117,
				},
				["Bursting Shot"] = {
					["enabled"] = true,
					["refSpellID"] = 186387,
					["spellIDs"] = {
						[186387] = true,
					},
					["cooldown"] = 30,
					["texture"] = 1376038,
				},
				["Will of the Forsaken"] = {
					["enabled"] = true,
					["refSpellID"] = 7744,
					["spellIDs"] = {
						[7744] = true,
					},
					["cooldown"] = 120,
					["texture"] = 136187,
				},
				["Mindbender"] = {
					["enabled"] = true,
					["refSpellID"] = 123040,
					["spellIDs"] = {
						[123040] = true,
					},
					["cooldown"] = 60,
					["texture"] = 136214,
				},
				["Master's Call"] = {
					["enabled"] = true,
					["refSpellID"] = 53271,
					["spellIDs"] = {
						[53271] = true,
					},
					["cooldown"] = 45,
					["texture"] = 236189,
				},
				["Invoke Xuen, the White Tiger"] = {
					["enabled"] = true,
					["refSpellID"] = 123904,
					["spellIDs"] = {
						[123904] = true,
					},
					["cooldown"] = 120,
					["texture"] = 620832,
				},
				["Cold Snap"] = {
					["enabled"] = true,
					["refSpellID"] = 235219,
					["spellIDs"] = {
						[235219] = true,
					},
					["cooldown"] = 300,
					["texture"] = 135865,
				},
				["Touch of Karma"] = {
					["enabled"] = true,
					["refSpellID"] = 122470,
					["spellIDs"] = {
						[122470] = true,
					},
					["cooldown"] = 90,
					["texture"] = 651728,
				},
				["Ice Nova"] = {
					["enabled"] = true,
					["refSpellID"] = 157997,
					["spellIDs"] = {
						[157997] = true,
					},
					["cooldown"] = 25,
					["texture"] = 1033909,
				},
				["Kick"] = {
					["enabled"] = true,
					["refSpellID"] = 1766,
					["spellIDs"] = {
						[1766] = true,
					},
					["cooldown"] = 15,
					["texture"] = 132219,
				},
				["Hammer of Justice"] = {
					["enabled"] = true,
					["refSpellID"] = 853,
					["spellIDs"] = {
						[853] = true,
					},
					["cooldown"] = 60,
					["texture"] = 135963,
				},
				["Metamorphosis"] = {
					["enabled"] = true,
					["refSpellID"] = 191427,
					["spellIDs"] = {
						[191427] = true,
					},
					["cooldown"] = 120,
					["texture"] = 1247262,
				},
				["Kidney Shot"] = {
					["enabled"] = true,
					["refSpellID"] = 408,
					["spellIDs"] = {
						[408] = true,
					},
					["cooldown"] = 20,
					["texture"] = 132298,
				},
				["Reverse Magic"] = {
					["enabled"] = true,
					["refSpellID"] = 205604,
					["spellIDs"] = {
						[205604] = true,
					},
					["cooldown"] = 60,
					["texture"] = 1380372,
				},
				["Incarnation: Chosen of Elune"] = {
					["enabled"] = true,
					["refSpellID"] = 102560,
					["spellIDs"] = {
						[102560] = true,
					},
					["cooldown"] = 180,
					["texture"] = 571586,
				},
				["Desecrated Ground"] = {
					["enabled"] = false,
					["refSpellID"] = 108201,
					["spellIDs"] = {
						[108201] = true,
					},
					["cooldown"] = 60,
					["texture"] = 538768,
				},
				["Dire Beast: Basilisk"] = {
					["enabled"] = true,
					["refSpellID"] = 205691,
					["spellIDs"] = {
						[205691] = true,
					},
					["cooldown"] = 120,
					["texture"] = 1412204,
				},
				["Dark Regeneration"] = {
					["enabled"] = true,
					["refSpellID"] = 108359,
					["spellIDs"] = {
						[108359] = true,
					},
					["cooldown"] = 120,
					["texture"] = 537516,
				},
				["Tombstone"] = {
					["enabled"] = true,
					["refSpellID"] = 219809,
					["spellIDs"] = {
						[219809] = true,
					},
					["cooldown"] = 60,
					["texture"] = 132151,
				},
				["Revival"] = {
					["enabled"] = true,
					["refSpellID"] = 115310,
					["spellIDs"] = {
						[115310] = true,
					},
					["cooldown"] = 180,
					["texture"] = 1020466,
				},
				["Power Infusion"] = {
					["enabled"] = true,
					["refSpellID"] = 10060,
					["spellIDs"] = {
						[10060] = true,
					},
					["cooldown"] = 120,
					["texture"] = 135939,
				},
				["Spell Reflection"] = {
					["enabled"] = true,
					["refSpellID"] = 216890,
					["spellIDs"] = {
						[216890] = true,
					},
					["cooldown"] = 25,
					["texture"] = 132361,
				},
				["Heroic Leap"] = {
					["enabled"] = true,
					["refSpellID"] = 6544,
					["spellIDs"] = {
						[6544] = true,
					},
					["cooldown"] = 45,
					["texture"] = 236171,
				},
				["Blessing of Freedom"] = {
					["enabled"] = true,
					["refSpellID"] = 1044,
					["spellIDs"] = {
						[1044] = true,
					},
					["cooldown"] = 25,
					["texture"] = 135968,
				},
				["Blood Mirror"] = {
					["enabled"] = false,
					["refSpellID"] = 206977,
					["spellIDs"] = {
						[206977] = true,
					},
					["cooldown"] = 120,
					["texture"] = 134084,
				},
				["Invisibility"] = {
					["enabled"] = true,
					["refSpellID"] = 66,
					["spellIDs"] = {
						[66] = true,
					},
					["cooldown"] = 300,
					["texture"] = 132220,
				},
				["Ice Block"] = {
					["enabled"] = true,
					["refSpellID"] = 45438,
					["spellIDs"] = {
						[45438] = true,
					},
					["cooldown"] = 240,
					["texture"] = 135841,
				},
				["Vanish"] = {
					["enabled"] = true,
					["refSpellID"] = 1856,
					["spellIDs"] = {
						[1856] = true,
					},
					["cooldown"] = 75,
					["texture"] = 132331,
				},
				["Dragon's Breath"] = {
					["enabled"] = false,
					["refSpellID"] = 31661,
					["spellIDs"] = {
						[31661] = true,
					},
					["cooldown"] = 20,
					["texture"] = 134153,
				},
				["Counterspell"] = {
					["enabled"] = true,
					["refSpellID"] = 2139,
					["spellIDs"] = {
						[2139] = true,
					},
					["cooldown"] = 24,
					["texture"] = 135856,
				},
				["Mass Entanglement"] = {
					["enabled"] = true,
					["refSpellID"] = 102359,
					["spellIDs"] = {
						[102359] = true,
					},
					["cooldown"] = 30,
					["texture"] = 538515,
				},
				["Earthgrab Totem"] = {
					["enabled"] = false,
					["refSpellID"] = 51485,
					["spellIDs"] = {
						[51485] = true,
					},
					["cooldown"] = 30,
					["texture"] = 136100,
				},
				["Holy Avenger"] = {
					["enabled"] = true,
					["refSpellID"] = 105809,
					["spellIDs"] = {
						[105809] = true,
					},
					["cooldown"] = 90,
					["texture"] = 571555,
				},
				["Blessing of Sacrifice"] = {
					["enabled"] = true,
					["refSpellID"] = 6940,
					["spellIDs"] = {
						[6940] = true,
					},
					["cooldown"] = 120,
					["texture"] = 135966,
				},
				["Muzzle"] = {
					["enabled"] = true,
					["refSpellID"] = 187707,
					["spellIDs"] = {
						[187707] = true,
					},
					["cooldown"] = 15,
					["texture"] = 1376045,
				},
				["Illidan's Grasp"] = {
					["enabled"] = false,
					["refSpellID"] = 205630,
					["spellIDs"] = {
						[205630] = true,
					},
					["cooldown"] = 60,
					["texture"] = 1380367,
				},
				["Feral Lunge"] = {
					["enabled"] = false,
					["refSpellID"] = 196884,
					["spellIDs"] = {
						[196884] = true,
					},
					["cooldown"] = 30,
					["texture"] = 1027879,
				},
				["Unending Resolve"] = {
					["enabled"] = true,
					["refSpellID"] = 104773,
					["spellIDs"] = {
						[104773] = true,
					},
					["cooldown"] = 180,
					["texture"] = 136150,
				},
				["Aspect of the Turtle"] = {
					["enabled"] = true,
					["refSpellID"] = 186265,
					["spellIDs"] = {
						[186265] = true,
					},
					["cooldown"] = 144,
					["texture"] = 132199,
				},
				["Storm Bolt"] = {
					["enabled"] = true,
					["refSpellID"] = 107570,
					["spellIDs"] = {
						[107570] = true,
					},
					["cooldown"] = 30,
					["texture"] = 613535,
				},
				["Rebuke"] = {
					["enabled"] = true,
					["refSpellID"] = 96231,
					["spellIDs"] = {
						[96231] = true,
					},
					["cooldown"] = 15,
					["texture"] = 523893,
				},
				["Vendetta"] = {
					["enabled"] = true,
					["refSpellID"] = 79140,
					["spellIDs"] = {
						[79140] = true,
					},
					["cooldown"] = 120,
					["texture"] = 458726,
				},
				["Healing Tide Totem"] = {
					["enabled"] = true,
					["refSpellID"] = 108280,
					["spellIDs"] = {
						[108280] = true,
					},
					["cooldown"] = 180,
					["texture"] = 538569,
				},
				["Guardian of Ancient Kings"] = {
					["enabled"] = true,
					["refSpellID"] = 86659,
					["spellIDs"] = {
						[86659] = true,
					},
					["cooldown"] = 300,
					["texture"] = 135919,
				},
				["Dark Transformation"] = {
					["enabled"] = true,
					["refSpellID"] = 63560,
					["spellIDs"] = {
						[63560] = true,
					},
					["cooldown"] = 60,
					["texture"] = 342913,
				},
				["Pain Suppression"] = {
					["enabled"] = true,
					["refSpellID"] = 33206,
					["spellIDs"] = {
						[33206] = true,
					},
					["cooldown"] = 60,
					["texture"] = 135936,
				},
				["Blessing of Protection"] = {
					["enabled"] = true,
					["refSpellID"] = 1022,
					["spellIDs"] = {
						[1022] = true,
					},
					["cooldown"] = 300,
					["texture"] = 135964,
				},
				["Combustion"] = {
					["enabled"] = true,
					["refSpellID"] = 190319,
					["spellIDs"] = {
						[190319] = true,
					},
					["cooldown"] = 120,
					["texture"] = 135824,
				},
				["Power Word: Barrier"] = {
					["enabled"] = true,
					["refSpellID"] = 62618,
					["spellIDs"] = {
						[62618] = true,
					},
					["cooldown"] = 90,
					["texture"] = 253400,
				},
				["Dancing Rune Weapon"] = {
					["enabled"] = true,
					["refSpellID"] = 49028,
					["spellIDs"] = {
						[49028] = true,
					},
					["cooldown"] = 60,
					["texture"] = 135277,
				},
				["Sigil of Misery"] = {
					["enabled"] = true,
					["refSpellID"] = 207684,
					["spellIDs"] = {
						[207684] = true,
					},
					["cooldown"] = 50,
					["texture"] = 1418287,
				},
				["Gladiator's Medallion"] = {
					["enabled"] = true,
					["refSpellID"] = 208683,
					["spellIDs"] = {
						[208683] = true,
					},
					["cooldown"] = 120,
					["texture"] = 1322720,
				},
				["Shockwave"] = {
					["enabled"] = true,
					["refSpellID"] = 46968,
					["spellIDs"] = {
						[46968] = true,
					},
					["cooldown"] = 40,
					["texture"] = 236312,
				},
				["Hex"] = {
					["enabled"] = true,
					["refSpellID"] = 51514,
					["spellIDs"] = {
						[51514] = true,
					},
					["cooldown"] = 10,
					["texture"] = 237579,
				},
				["Dampen Harm"] = {
					["enabled"] = true,
					["refSpellID"] = 122278,
					["spellIDs"] = {
						[122278] = true,
					},
					["cooldown"] = 120,
					["texture"] = 620827,
				},
				["Shadowmeld"] = {
					["enabled"] = true,
					["refSpellID"] = 58984,
					["spellIDs"] = {
						[58984] = true,
					},
					["cooldown"] = 120,
					["texture"] = 132089,
				},
				["Bloodlust"] = {
					["enabled"] = false,
					["refSpellID"] = 2825,
					["spellIDs"] = {
						[2825] = true,
					},
					["cooldown"] = 60,
					["texture"] = 136012,
				},
				["Freezing Trap"] = {
					["enabled"] = true,
					["refSpellID"] = 187650,
					["spellIDs"] = {
						[187650] = true,
					},
					["cooldown"] = 25,
					["texture"] = 135834,
				},
				["Gust of Wind"] = {
					["enabled"] = false,
					["refSpellID"] = 192063,
					["spellIDs"] = {
						[192063] = true,
					},
					["cooldown"] = 15,
					["texture"] = 1029585,
				},
				["Bladestorm"] = {
					["enabled"] = true,
					["refSpellID"] = 227847,
					["spellIDs"] = {
						[227847] = true,
					},
					["cooldown"] = 60,
					["texture"] = 236303,
				},
				["Netherwalk"] = {
					["enabled"] = true,
					["refSpellID"] = 196555,
					["spellIDs"] = {
						[196555] = true,
					},
					["cooldown"] = 120,
					["texture"] = 463284,
				},
				["Shadowfury"] = {
					["enabled"] = true,
					["refSpellID"] = 30283,
					["spellIDs"] = {
						[30283] = true,
					},
					["cooldown"] = 45,
					["texture"] = 607865,
				},
				["Chaos Nova"] = {
					["enabled"] = true,
					["refSpellID"] = 179057,
					["spellIDs"] = {
						[179057] = true,
					},
					["cooldown"] = 40,
					["texture"] = 135795,
				},
				["Cheat Death"] = {
					["enabled"] = true,
					["refSpellID"] = 31230,
					["spellIDs"] = {
						[31230] = true,
					},
					["cooldown"] = 360,
					["texture"] = 132285,
				},
				["Duel"] = {
					["enabled"] = false,
					["refSpellID"] = 236273,
					["spellIDs"] = {
						[236273] = true,
					},
					["cooldown"] = 60,
					["texture"] = 1455893,
				},
				["Wyvern Sting"] = {
					["enabled"] = true,
					["refSpellID"] = 19386,
					["spellIDs"] = {
						[19386] = true,
					},
					["cooldown"] = 45,
					["texture"] = 135125,
				},
				["Dismantle"] = {
					["enabled"] = true,
					["refSpellID"] = 207777,
					["spellIDs"] = {
						[207777] = true,
					},
					["cooldown"] = 45,
					["texture"] = 236272,
				},
				["Sigil of Chains"] = {
					["enabled"] = true,
					["refSpellID"] = 202138,
					["spellIDs"] = {
						[202138] = true,
					},
					["cooldown"] = 50,
					["texture"] = 1418286,
				},
				["Enraged Regeneration"] = {
					["enabled"] = true,
					["refSpellID"] = 184364,
					["spellIDs"] = {
						[184364] = true,
					},
					["cooldown"] = 120,
					["texture"] = 132345,
				},
				["Greater Fade"] = {
					["enabled"] = true,
					["refSpellID"] = 213602,
					["spellIDs"] = {
						[213602] = true,
					},
					["cooldown"] = 45,
					["texture"] = 135994,
				},
				["Last Stand"] = {
					["enabled"] = true,
					["refSpellID"] = 12975,
					["spellIDs"] = {
						[12975] = true,
					},
					["cooldown"] = 120,
					["texture"] = 135871,
				},
				["Ursol's Vortex"] = {
					["enabled"] = true,
					["refSpellID"] = 102793,
					["spellIDs"] = {
						[102793] = true,
					},
					["cooldown"] = 60,
					["texture"] = 571588,
				},
				["Avenging Wrath"] = {
					["enabled"] = true,
					["refSpellID"] = 31884,
					["spellIDs"] = {
						[31884] = true,
					},
					["cooldown"] = 120,
					["texture"] = 135875,
				},
				["Dispersion"] = {
					["enabled"] = true,
					["refSpellID"] = 47585,
					["spellIDs"] = {
						[47585] = true,
					},
					["cooldown"] = 90,
					["texture"] = 237563,
				},
				["Asphyxiate"] = {
					["enabled"] = true,
					["refSpellID"] = 108194,
					["spellIDs"] = {
						[108194] = true,
					},
					["cooldown"] = 45,
					["texture"] = 538558,
				},
				["Nether Bond"] = {
					["enabled"] = false,
					["refSpellID"] = 207810,
					["spellIDs"] = {
						[207810] = true,
					},
					["cooldown"] = 120,
					["texture"] = 1450144,
				},
				["Demonic Trample"] = {
					["enabled"] = false,
					["refSpellID"] = 205629,
					["spellIDs"] = {
						[205629] = true,
					},
					["cooldown"] = 20,
					["texture"] = 134294,
				},
				["Guardian Spirit"] = {
					["enabled"] = true,
					["refSpellID"] = 47788,
					["spellIDs"] = {
						[47788] = true,
					},
					["cooldown"] = 120,
					["texture"] = 237542,
				},
				["Shambling Rush"] = {
					["enabled"] = true,
					["refSpellID"] = 91802,
					["spellIDs"] = {
						[91802] = true,
					},
					["cooldown"] = 30,
					["texture"] = 237569,
				},
				["Dragon Charge"] = {
					["enabled"] = false,
					["refSpellID"] = 206572,
					["spellIDs"] = {
						[206572] = true,
					},
					["cooldown"] = 20,
					["texture"] = 1380676,
				},
				["Blur"] = {
					["enabled"] = true,
					["refSpellID"] = 198589,
					["spellIDs"] = {
						[198589] = true,
					},
					["cooldown"] = 60,
					["texture"] = 1305150,
				},
				["Intercept"] = {
					["enabled"] = false,
					["refSpellID"] = 198304,
					["spellIDs"] = {
						[198304] = true,
					},
					["cooldown"] = 20,
					["texture"] = 132365,
				},
				["Typhoon"] = {
					["enabled"] = true,
					["refSpellID"] = 132469,
					["spellIDs"] = {
						[132469] = true,
					},
					["cooldown"] = 30,
					["texture"] = 236170,
				},
				["Disarm"] = {
					["enabled"] = true,
					["refSpellID"] = 236077,
					["spellIDs"] = {
						[236077] = true,
					},
					["cooldown"] = 45,
					["texture"] = 132343,
				},
				["Wind Shear"] = {
					["enabled"] = true,
					["refSpellID"] = 57994,
					["spellIDs"] = {
						[57994] = true,
					},
					["cooldown"] = 12,
					["texture"] = 136018,
				},
				["Aura Mastery"] = {
					["enabled"] = true,
					["refSpellID"] = 31821,
					["spellIDs"] = {
						[31821] = true,
					},
					["cooldown"] = 180,
					["texture"] = 135872,
				},
				["Evocation"] = {
					["enabled"] = false,
					["refSpellID"] = 12051,
					["spellIDs"] = {
						[12051] = true,
					},
					["cooldown"] = 180,
					["texture"] = 136075,
				},
				["Barkskin"] = {
					["enabled"] = true,
					["refSpellID"] = 22812,
					["spellIDs"] = {
						[22812] = true,
					},
					["cooldown"] = 40,
					["texture"] = 136097,
				},
				["Spell Lock"] = {
					["enabled"] = true,
					["refSpellID"] = 19647,
					["spellIDs"] = {
						[19647] = true,
					},
					["cooldown"] = 24,
					["texture"] = 136174,
				},
				["Psychic Scream"] = {
					["enabled"] = true,
					["refSpellID"] = 8122,
					["spellIDs"] = {
						[8122] = true,
					},
					["cooldown"] = 30,
					["texture"] = 136184,
				},
			},
		},
db:SetProfile("GennUI")
end

end